Summary:       Network traffic recorder
Name:          tcpflow
Version:       0.21
Release:       9%{?dist}
License:       GPL+
Group:         Applications/Internet
URL:           http://www.circlemud.org/~jelson/software/tcpflow/
Source0:       http://www.circlemud.org/pub/jelson/tcpflow/tcpflow-%{version}.tar.gz
# From Debian:
Patch0:        tcpflow-0.21-color.patch 
Patch1:        tcpflow-0.21-stats-timeout.patch 
BuildRequires: libpcap-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%description
tcpflow is a program that captures data transmitted as part of TCP
connections (flows), and stores the data in a way that is convenient
for protocol analysis or debugging. A program like 'tcpdump' shows a
summary of packets seen on the wire, but usually doesn't store the
data that's actually being transmitted. In contrast, tcpflow
reconstructs the actual data streams and stores each flow in a
separate file for later analysis.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{__chmod} 0644 COPYING

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} INSTALL='install -p' install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 14 2010 Terje Rosten <terje.rosten@ntnu.no> - 0.21-8
- add patch from bz #556683

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-7
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-6
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.21-5
- fix source url

* Fri May  2 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.21-4
- fix color patch (bz #444833)

* Sat Feb  9 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.21-3
- rebuild

* Tue Nov 27 2007 Terje Rosten <terje.rosten@ntnu.no> - 0.21-2
- fix license

* Tue Nov 27 2007 Terje Rosten <terje.rosten@ntnu.no> - 0.21-1
- initial package

